Bug 1436236 - Can't add provider specific catalog items to global region
Summary: Can't add provider specific catalog items to global region
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.3
Assignee: Brandon Dunne
QA Contact: luke couzens
URL:
Whiteboard: distributed:service
Depends On: 1398725
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-27 13:25 UTC by Satoe Imaishi
Modified: 2017-06-28 14:57 UTC (History)
12 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1398725
Environment:
Last Closed: 2017-06-28 14:57:56 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-04-13 22:16:21 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/a7a84d38806cde0289dcfeaf9836dfdbeab63051

commit a7a84d38806cde0289dcfeaf9836dfdbeab63051
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Fri Mar 24 17:11:54 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Apr 13 18:13:15 2017 -0400

    Merge pull request #14468 from bdunne/dont_allow_selecting_resources_from_another_region_when_creating_a_catalog_item
    
    Don't allow selecting resources from another region when creating a catalog item
    (cherry picked from commit 4c095eacb594cfd3b733555ec8b51cb6f10d7e1d)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1436236

 app/models/miq_provision_virt_workflow.rb       |  4 ++--
 spec/models/miq_provision_virt_workflow_spec.rb | 19 +++++++++++++++++++
 2 files changed, 21 insertions(+), 2 deletions(-)

Comment 3 luke couzens 2017-06-09 09:21:12 UTC
Verified in 5.7.3.1

Comment 5 errata-xmlrpc 2017-06-28 14:57:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.